# PhasicFlow: pFlow::GMotion Namespace Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pFlow::GMotion Namespace Reference

## Functions

template<typename ModelInterface >
void | moveGeometry (real dt, uint32 nPoints, const ModelInterface &mModel, const deviceViewType1D< uint32 > &pointMIndexD, const deviceViewType1D< realx3 > &pointsD)

## Function Documentation

## moveGeometry()

void pFlow::GMotion::moveGeometry | ( | real | dt,
|  | uint32 | nPoints,
|  | const ModelInterface & | mModel,
|  | const deviceViewType1D< uint32 > & | pointMIndexD,
|  | const deviceViewType1D< realx3 > & | pointsD
| ) |  |

Definition at line 75 of file geometryMotion.cpp.

References LAMBDA_HD.

Referenced by geometryMotion< MotionModelType >::iterate(), and geometryMotion< MotionModelType >::moveGeometry().

Here is the caller graph for this function: